Add a file to objects field definition.
POST
/customer-api/v1/object/{objectUuid}/add-file
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");curl_easy_setopt(hnd, CURLOPT_URL, "https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file"
payload := strings.NewReader("[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]");Request request = new Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: [{'field-key': 'example', 'file-uuid': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'}]};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '[{"field-key":"example","file-uuid":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]")val request = Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ [ 'field-key' => 'example', 'file-uuid' => '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' ] ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ],]);
$response = curl_exec($curl);$err = curl_error($curl);
curl_close($curl);
if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file', [ 'body' => '[ { "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]', 'headers' => [ 'Authorization' => 'Bearer <token>', 'Content-Type' => 'application/json', ],]);
echo $response->getBody();import http.client
conn = http.client.HTTPSConnection("your-instance.seventhings.com")
payload = "[ { \"field-key\": \"example\", \"file-uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ]"
headers = { 'Authorization': "Bearer <token>", 'Content-Type': "application/json"}
conn.request("POST", "/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file", payload, headers)
res = conn.getresponse()data = res.read()
print(data.decode("utf-8"))import requests
url = "https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file"
payload = [ { "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.json())use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file";
let payload = ( json!({ "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }) );
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-file \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ { "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]'wget --quiet \ --method POST \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '[ { "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]' \ --output-document \ - https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/add-fileAdd a file to objects field definition
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”objectUuid
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Array<object>
object
field-key
The key of the field definition where the file should be added to.
string
file-uuid
string format: uuid
Examplegenerated
[ { "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Responses
Section titled “Responses”Success
Return all results of each request body array items.
Request body is missing or invalid or request data is invalid.
Access token is missing or invalid.
You are not permitted to perform the requested operation.
The requested resource could not be found.
The requested resource representation has no acceptable format.
The requested entry is not processable.
Internal Server Error.

